> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /customers/{customer_id}/addresses

**List addresses for a customer**

Returns a paginated list of addresses for a customer. Use the query parameters to page through results.

By default, Paddle returns addresses that are `active`. Use the `status` query parameter to return addresses that are archived.

**Required permissions:** `address.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `customer_id` | string | required | Unique Paddle ID for this customer entity, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`) |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200; default: `50`) |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. (default: `"id[DESC]"`) |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. (default: `["active"]`) |
| `search` | string | optional | Return entities that match a search query. Searches all fields except `status`, `created_at`, and `updated_at`. (Max length: 100) |

Values for `status`:

- `active` — Return entities where the status is `active`. Returned entities can be used in Paddle and are returned when listing entities.
- `archived` — Return entities where the status is `archived`. Returned entities can't be used for billing and aren't returned when listing entities.

## Response (200)

- `data`: array (required)
  - `id`: string (required) — Unique Paddle ID for this address entity, prefixed with `add_`. (pattern: `^add_[a-z\d]{26}$`)
  - `customer_id`: string (required) — Paddle ID for the customer related to this address, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`)
  - `description`: string | null (required) — Memorable description for this address. (Max length: 1024)
  - `first_line`: string | null (required) — First line of this address. (Max length: 1024)
  - `second_line`: string | null (required) — Second line of this address. (Max length: 1024)
  - `city`: string | null (required) — City of this address. (Max length: 200)
  - `postal_code`: string | null (required) — ZIP or postal code of this address. Required for some countries. (Max length: 200)
  - `region`: string | null (required) — State, county, or region of this address. (Max length: 200)
  - `country_code` (required) — Supported two-letter ISO 3166-1 alpha-2 country code for this address.
    - Country code (supported) — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
      - `AD` — Andorra
      - `AE` — United Arab Emirates
      - `AG` — Antigua and Barbuda
      - `AI` — Anguilla
      - `AL` — Albania
      - `AM` — Armenia
      - `AO` — Angola
      - `AR` — Argentina
      - `AS` — American Samoa
      - `AT` — Austria
      - `AU` — Australia
      - `AW` — Aruba
      - `AX` — Åland Islands
      - `AZ` — Azerbaijan
      - `BA` — Bosnia and Herzegovina
      - `BB` — Barbados
      - `BD` — Bangladesh
      - `BE` — Belgium
      - `BF` — Burkina Faso
      - `BG` — Bulgaria
      - `BH` — Bahrain
      - `BI` — Burundi
      - `BJ` — Benin
      - `BL` — Saint Barthélemy
      - `BM` — Bermuda
      - `BN` — Brunei
      - `BO` — Bolivia
      - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
      - `BR` — Brazil
      - `BS` — Bahamas
      - `BT` — Bhutan
      - `BV` — Bouvet Island
      - `BW` — Botswana
      - `BZ` — Belize
      - `CA` — Canada
      - `CC` — Cocos Islands
      - `CG` — Republic of Congo
      - `CH` — Switzerland
      - `CI` — Côte d'Ivoire (Ivory Coast)
      - `CK` — Cook Islands
      - `CL` — Chile
      - `CM` — Cameroon
      - `CN` — China
      - `CO` — Colombia
      - `CR` — Costa Rica
      - `CV` — Cape Verde
      - `CW` — Curaçao
      - `CX` — Christmas Island
      - `CY` — Cyprus
      - `CZ` — Czechia (Czech Republic)
      - `DE` — Germany
      - `DJ` — Djibouti
      - `DK` — Denmark
      - `DM` — Dominica
      - `DO` — Dominican Republic
      - `DZ` — Algeria
      - `EC` — Ecuador
      - `EE` — Estonia
      - `EG` — Egypt
      - `EH` — Western Sahara
      - `ER` — Eritrea
      - `ES` — Spain
      - `ET` — Ethiopia
      - `FI` — Finland
      - `FJ` — Fiji
      - `FK` — Falkland Islands
      - `FM` — Micronesia
      - `FO` — Faroe Islands
      - `FR` — France
      - `GA` — Gabon
      - `GB` — United Kingdom
      - `GD` — Grenada
      - `GE` — Georgia
      - `GF` — French Guiana
      - `GG` — Guernsey
      - `GH` — Ghana
      - `GI` — Gibraltar
      - `GL` — Greenland
      - `GM` — Gambia
      - `GN` — Guinea
      - `GP` — Guadeloupe
      - `GQ` — Equatorial Guinea
      - `GR` — Greece
      - `GS` — South Georgia and the South Sandwich Islands
      - `GT` — Guatemala
      - `GU` — Guam
      - `GW` — Guinea-Bissau
      - `GY` — Guyana
      - `HK` — Hong Kong
      - `HM` — Heard Island and McDonald Islands
      - `HN` — Honduras
      - `HR` — Croatia
      - `HU` — Hungary
      - `ID` — Indonesia
      - `IE` — Ireland
      - `IL` — Israel
      - `IM` — Isle of Man
      - `IN` — India
      - `IO` — British Indian Ocean Territory
      - `IQ` — Iraq
      - `IS` — Iceland
      - `IT` — Italy
      - `JE` — Jersey
      - `JM` — Jamaica
      - `JO` — Jordan
      - `JP` — Japan
      - `KE` — Kenya
      - `KG` — Kyrgyzstan
      - `KH` — Cambodia
      - `KI` — Kiribati
      - `KM` — Comoros
      - `KN` — Saint Kitts and Nevis
      - `KR` — South Korea
      - `KW` — Kuwait
      - `KY` — Cayman Islands
      - `KZ` — Kazakhstan
      - `LA` — Lao People's Democratic Republic (Laos)
      - `LB` — Lebanon
      - `LC` — Saint Lucia
      - `LI` — Liechtenstein
      - `LK` — Sri Lanka
      - `LR` — Liberia
      - `LS` — Lesotho
      - `LT` — Lithuania
      - `LU` — Luxembourg
      - `LV` — Latvia
      - `MA` — Morocco
      - `MC` — Monaco
      - `MD` — Moldova
      - `ME` — Montenegro
      - `MF` — Saint Martin
      - `MG` — Madagascar
      - `MH` — Marshall Islands
      - `MK` — Macedonia
      - `MN` — Mongolia
      - `MO` — Macao
      - `MP` — Northern Mariana Islands
      - `MQ` — Martinique
      - `MR` — Mauritania
      - `MS` — Montserrat
      - `MT` — Malta
      - `MU` — Mauritius
      - `MV` — Maldives
      - `MW` — Malawi
      - `MX` — Mexico
      - `MY` — Malaysia
      - `MZ` — Mozambique
      - `NA` — Namibia
      - `NC` — New Caledonia
      - `NE` — Niger
      - `NF` — Norfolk Island
      - `NG` — Nigeria
      - `NL` — Netherlands
      - `NO` — Norway
      - `NP` — Nepal
      - `NR` — Nauru
      - `NU` — Niue
      - `NZ` — New Zealand
      - `OM` — Oman
      - `PA` — Panama
      - `PE` — Peru
      - `PF` — French Polynesia
      - `PG` — Papua New Guinea
      - `PH` — Philippines
      - `PK` — Pakistan
      - `PL` — Poland
      - `PM` — Saint Pierre and Miquelon
      - `PN` — Pitcairn
      - `PR` — Puerto Rico
      - `PS` — Palestinian territories
      - `PT` — Portugal
      - `PW` — Palau
      - `PY` — Paraguay
      - `QA` — Qatar
      - `RE` — Reunion
      - `RO` — Romania
      - `RS` — Republic of Serbia
      - `RW` — Rwanda
      - `SA` — Saudi Arabia
      - `SB` — Solomon Islands
      - `SC` — Seychelles
      - `SE` — Sweden
      - `SG` — Singapore
      - `SH` — Saint Helena
      - `SI` — Slovenia
      - `SJ` — Svalbard and Jan Mayen
      - `SK` — Slovakia
      - `SL` — Sierra Leone
      - `SM` — San Marino
      - `SN` — Senegal
      - `SR` — Suriname
      - `ST` — São Tomé and Príncipe
      - `SV` — El Salvador
      - `SX` — Sint Maarten
      - `SZ` — Swaziland
      - `TC` — Turks and Caicos Islands
      - `TD` — Chad
      - `TF` — French Southern and Antarctic Lands
      - `TG` — Togo
      - `TH` — Thailand
      - `TJ` — Tajikistan
      - `TK` — Tokelau
      - `TL` — Timor-Leste
      - `TM` — Turkmenistan
      - `TN` — Tunisia
      - `TO` — Tonga
      - `TR` — Turkey
      - `TT` — Trinidad and Tobago
      - `TV` — Tuvalu
      - `TW` — Taiwan
      - `TZ` — Tanzania
      - `UA` — Ukraine
      - `UG` — Uganda
      - `UM` — United States Minor Outlying Islands
      - `US` — United States
      - `UY` — Uruguay
      - `UZ` — Uzbekistan
      - `VA` — Holy See (Vatican City)
      - `VC` — Saint Vincent and the Grenadines
      - `VG` — British Virgin Islands
      - `VI` — U.S. Virgin Islands
      - `VN` — Vietnam
      - `VU` — Vanuatu
      - `WF` — Wallis and Futuna
      - `WS` — Samoa
      - `XK` — Kosovo
      - `YT` — Mayotte
      - `ZA` — South Africa
      - `ZM` — Zambia
    - Country code (unsupported) — Two-letter code for a country that Paddle doesn't support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
      - `AF` — Afghanistan
      - `AQ` — Antarctica
      - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
      - `BY` — Belarus
      - `CD` — Democratic Republic of Congo
      - `CF` — Central African Republic
      - `CU` — Cuba
      - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
      - `HT` — Haiti
      - `IR` — Iran
      - `KP` — North Korea
      - `LY` — Libya
      - `ML` — Mali
      - `MM` — Myanmar (Burma)
      - `NI` — Nicaragua
      - `RU` — Russia
      - `SO` — Somalia
      - `SS` — South Sudan
      - `SD` — Sudan
      - `SY` — Syria
      - `VE` — Venezuela
      - `YE` — Yemen
      - `ZW` — Zimbabwe
  - `custom_data`: object | null (required) — Your own structured key-value data.
  - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
    - `active` — Entity is active and can be used.
    - `archived` — Entity is archived, so can't be used.
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
    - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
    - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns `100001` to indicate that more than 100,000 entities match. Returns `-1` when counting is skipped or couldn't be calculated.

Use `has_more` and `next` to page through all results rather than relying on `estimated_total` for an exact count.

### Response example

```json
{
  "data": [
    {
      "id": "add_01hv8h6jj90jjz0d71m6hj4r9z",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "Sales Office",
      "first_line": "8700 Edgemont Road",
      "second_line": null,
      "city": "Phoenix",
      "postal_code": "85051",
      "region": "AZ",
      "country_code": "US",
      "custom_data": null,
      "created_at": "2024-04-12T06:51:26.153Z",
      "updated_at": "2024-04-12T06:51:26.153Z",
      "import_meta": {
        "external_id": "59f25141-28c3-4447-b77c-dae5677537f0",
        "imported_from": "paddle_classic"
      }
    },
    {
      "id": "add_01hv8gwdfkw5z6d1yy6pa3xyrz",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "California Office",
      "first_line": "5400 E Washington Drive, Floor 2",
      "second_line": null,
      "city": "San Jose",
      "postal_code": "95314",
      "region": "CA",
      "country_code": "US",
      "custom_data": {
        "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f"
      },
      "created_at": "2024-04-12T06:45:53.267Z",
      "updated_at": "2024-04-12T06:47:01.533006Z",
      "import_meta": null
    },
    {
      "id": "add_01hv8gq3318ktkfengj2r75gfx",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "Head Office",
      "first_line": "4050 Jefferson Plaza, 41st Floor",
      "second_line": null,
      "city": "New York",
      "postal_code": "10021",
      "region": "NY",
      "country_code": "US",
      "custom_data": null,
      "created_at": "2024-04-12T06:42:58.785Z",
      "updated_at": "2024-04-12T06:42:58.785Z",
      "import_meta": null
    }
  ],
  "meta": {
    "request_id": "d195779a-5cbe-41e1-8dbb-537057978d1b",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/customers/ctm_01hv6y1jedq4p1n0yqn5ba3ky4/addresses?after=add_01hv8gq3318ktkfengj2r75gfx",
      "has_more": false,
      "estimated_total": 3
    }
  }
}
```
